# Interface StyleDefaultsNodeDefaultsIconDefaults

#### Hierarchy

- StyleDefaultsNodeDefaultsIconDefaults

#####
Index

### Properties

background
borderColor
borderRadius
borderWidth
color
height
opacity
pattern
shape
source
width

## Properties

### background

background: string

The URL of an image to display by default for the node icons.

### borderColor

borderColor: string

The default border color of the node icons. The default value varies based on theme.

### borderRadius

borderRadius: string

The default border radius of the node icons. See the Help documentation for more information.

### borderWidth

borderWidth: number

The default border width of the node icons. The default value varies based on theme.

### color

color: string

The default fill color of the node icons.

### height

height: number

The default height of the node icons. If the value is 0, the height will be automatically based on the remaining node contents.

### opacity

opacity: number

The default opacity of the node icons.

### pattern

pattern: string

The default fill pattern of the node icons.

### shape

shape: string

The default shape of the node icons. Can take the name of a built-in shape or the SVG path commands for a custom shape.

### source

source: string

The URL of an image to display by default for the node icons.

### width

width: number

The default width of the node icons. If the value is 0, the width will be automatically based on the remaining node contents.

Generated using TypeDoc